import { IAnswer, ICoverageGroupComponent, IMappedQuestionGroupAnswers } from '@boldpenguin/sdk-types';
export declare class BpSdkCoverageGroup implements ICoverageGroupComponent {
    questionGroup: IMappedQuestionGroupAnswers;
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderAnswer(answer: IAnswer): any[];
    renderInternal(): any;
}
